#include <stdio.h>
#include <math.h>
void Perm(int poz,int n,double a[],double perm[],bool koriscen[],double *max){
	int br=0,l=6; double p,maxp=0;
	if(poz==n){ //ako je napravljena jedna permutacija
	for(int i=0;i<n;i++){
		for(int j=i+1;j<n;j++){
	  	p=perm[j];
	  	while(1){
	  		p=p/10.0;
	  		br++;
	  		if(p<1.0)break;
		  }
	  }
	  maxp+=perm[i]*pow(10,br);
	  if(*max<maxp)*max=maxp;
	  br=0;
	  }
	  maxp=0;
	
	  }
	else for(int i=0;i<n;i++)if(!koriscen[i]){
	    perm[poz]=a[i];
	    koriscen[i]=true;
	    Perm(poz+1,n,a,perm,koriscen,max);
	    koriscen[i]=false; //za novu permutaciju
	}
	
	
}
int main(){
	int n=3; double a[20],perm[20],A,B,C,max=0; bool koriscen[20];
	scanf("%lf%lf%lf",&A,&B,&C);
    a[0]=A;
    a[1]=B;
    a[2]=C;
	Perm(0,n,a,perm,koriscen,&max);
    printf("%.0lf",max);
	return 0;
	}